maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (MPMD-239) Add documentation about upgrading PMD version at runtime
Date Sat, 19 Aug 2017 14:04:00 GMT

    [ https://issues.apache.org/jira/browse/MPMD-239?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16134122#comment-16134122
] 

Hudson commented on MPMD-239:
-----------------------------

SUCCESS: Integrated in Jenkins build maven-plugins #9072 (See [https://builds.apache.org/job/maven-plugins/9072/])
[MPMD-239] Add documentation about upgrading PMD version at runtime (adangel: [http://svn.apache.org/viewvc/?view=rev&rev=1805494])
* (add) maven-pmd-plugin/src/site/apt/examples/upgrading-PMD-at-runtime.apt.vm
* (edit) maven-pmd-plugin/src/site/apt/index.apt.vm
* (edit) maven-pmd-plugin/src/site/site.xml


> Add documentation about upgrading PMD version at runtime
> --------------------------------------------------------
>
>                 Key: MPMD-239
>                 URL: https://issues.apache.org/jira/browse/MPMD-239
>             Project: Maven PMD Plugin
>          Issue Type: Improvement
>          Components: CPD, PMD
>            Reporter: Andreas Dangel
>            Assignee: Andreas Dangel
>             Fix For: 3.9
>
>
> The documentation should be similar to http://maven.apache.org/plugins/maven-checkstyle-plugin/examples/upgrading-checkstyle.html
> Example configuration, to use m-pmd-p 3.8 + PMD "choose your version":
> {noformat}
> <project>
>   <properties>
>     <pmdVersion>...choose your version...</version>
>   </properties>
> ...
>   <build>
>     <pluginManagement>
>       <plugins>
>         <plugin>
>           <groupId>org.apache.maven.plugins</groupId>
>           <artifactId>maven-pmd-plugin</artifactId>
>           <version>3.8</version>
>           <dependencies>
>             <dependency>
>               <groupId>net.sourceforge.pmd</groupId>
>               <artifactId>pmd-core</artifactId>
>               <version>${pmdVersion}</version>
>             </dependency>
>             <dependency>
>               <groupId>net.sourceforge.pmd</groupId>
>               <artifactId>pmd-java</artifactId>
>               <version>${pmdVersion}</version>
>             </dependency>
>             <dependency>
>               <groupId>net.sourceforge.pmd</groupId>
>               <artifactId>pmd-javascript</artifactId>
>               <version>${pmdVersion}</version>
>             </dependency>
>             <dependency>
>               <groupId>net.sourceforge.pmd</groupId>
>               <artifactId>pmd-jsp</artifactId>
>               <version>${pmdVersion}</version>
>             </dependency>
>           </dependencies>
>         </plugin>
>       </plugins>
>     </pluginManagement>
>   </build>
> ...
> </project>
> {noformat}
> See also https://github.com/pmd/pmd/issues/402



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message